Page MenuHomePhabricator

Tool to maintain offline copy of open changesets like gertty
Closed, DeclinedPublic

Description

Tool to maintain an offline copy of reviews like gertty. Which maintains a git clone with refs to all open patches, a db with all comments and other meta data and allows you to enqueue actions like comments, votes, etc for when you are connected again.

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

JanZerebecki raised the priority of this task from to Needs Triage.
JanZerebecki updated the task description. (Show Details)
JanZerebecki added a project: Gerrit-Migration.
JanZerebecki added a subscriber: JanZerebecki.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 6 2015, 11:24 AM
Qgil set Security to None.
Qgil triaged this task as Lowest priority.Mar 6 2015, 3:09 PM
Qgil added a subscriber: Qgil.

By "all", do you also mean past reviews?

Important are the reviews that are still open (i.e. not merged, not abandoned). But it probably makes sense to support arbitrary selections.

Qgil added a comment.Mar 12 2015, 1:43 PM

Since gertty is out of scope in Wikimedia, I'm thinking that this request could be better handled directly upstream. There is little to discuss and do here that is specific to Wikimedia or fall within the scope of the Wikimedia Phabricator team.

I'm not sure what "reviews that are still open" are. Do you mean open changesets?

Nemo_bis renamed this task from tool to maintain offline copy of reviews like gertty to Tool to maintain offline copy of open changesets like gertty.Mar 13 2015, 5:55 PM
greg added a subscriber: greg.

(A Getty replacement isn't a blocker to gerrit->differential migration.)

JanZerebecki closed this task as Declined.Sep 3 2015, 4:33 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:02 PM